Package nl.tudelft.simulation.dsol.animation.gis

## Class SerializableRectangle2D

- java.lang.Object
- - java.awt.geom.RectangularShape
  - - java.awt.geom.Rectangle2D
    - - nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D

All Implemented Interfaces:
  `Shape`, `Serializable`, `Cloneable`

Direct Known Subclasses:
  `SerializableRectangle2D.Double`, `SerializableRectangle2D.Float`

    public abstract class SerializableRectangle2D
    extends Rectangle2D
    implements Serializable

The SerializableRectangle2D class is a serializable version of the `java.awt.geom.Rectangle2D` class, yet in an immutable form.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SerializableRectangle2D.Double` The SerializableRectangle2D.Double class is a serializable version of the `java.awt.geom.Rectangle2D.Double` class.
`static class` `SerializableRectangle2D.Float` The SerializableRectangle2D.Float class is a serializable version of the `java.awt.geom.Rectangle2D.Double` class.

### Field Summary

### Fields inherited from class java.awt.geom.Rectangle2D

`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

### Constructor Summary

Constructors
`protected` `SerializableRectangle2D()` constructs a new SerializableRectangle2D.

### Method Summary

### Methods inherited from class java.awt.geom.Rectangle2D

`add, add, add, contains, contains, createIntersection, createUnion, equals, getBounds2D, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, outcode, setFrame, setRect, setRect, union`

### Methods inherited from class java.awt.geom.RectangularShape

`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getHeight, getMaxX, getMaxY, getMinX, getMinY, getWidth, getX, getY, intersects, isEmpty, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializableRectangle2D

    protected SerializableRectangle2D()

constructs a new SerializableRectangle2D.